<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Edit Partner</strong></h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" class="form-horizontal" >
          <div class="form-group">
            <label class="col-sm-2 control-label">Name <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Name" maxlength="20" formControlName="name"
                [(ngModel)]="partnerModel.name" name="name" class="form-control" required>
              <div class="error-msg"
                *ngIf="editForm.controls['name'].invalid && (editForm.controls['name'].dirty || editForm.controls['name'].touched)">
                <div *ngIf="editForm.controls['name'].errors.required">
                  Name is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Address </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Address" maxlength="25" formControlName="address"
                [(ngModel)]="partnerModel.address" name="address" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">House number </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="House number" maxlength="10" pattern="[0-9]+([.][0-9]+)?"
                formControlName="house_number" name="house_number" [(ngModel)]="partnerModel.house_number" class="form-control">
              <div class="error-msg"
                *ngIf="editForm.controls['house_number'].invalid && (editForm.controls['house_number'].dirty || editForm.controls['house_number'].touched)">
                <div *ngIf="editForm.controls['house_number'].errors.pattern">
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Postal code </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Postal code" maxlength="15" formControlName="postal_code"
                [(ngModel)]="partnerModel.postal_code" name="postal_code" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">City </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" City" maxlength="15" formControlName="city"
                [(ngModel)]="partnerModel.city" name="city" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Phone number</label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Phone number" maxlength="11" formControlName="phone_number"
                pattern="[0-9]+([.][0-9]+)?" [(ngModel)]="partnerModel.phone_number" class="form-control" name="phone_number">
              <div class="error-msg"
                *ngIf="editForm.controls['phone_number'].invalid && (editForm.controls['phone_number'].dirty || editForm.controls['phone_number'].touched)">
                <div *ngIf="editForm.controls['phone_number'].errors.pattern">
                  Only numbers allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice e-mail </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Invoice e-mail" maxlength="25"
                pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" formControlName="invoice_email"
                [(ngModel)]="partnerModel.invoice_email" class="form-control" name="invoice_email">
              <div class="error-msg"
                *ngIf="editForm.controls['invoice_email'].invalid && (editForm.controls['invoice_email'].dirty || editForm.controls['invoice_email'].touched)">
                <div *ngIf="editForm.controls['invoice_email'].errors.pattern">
                  Email is not valid.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Reference number </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Reference number" maxlength="20" formControlName="reference_number"
                [(ngModel)]="partnerModel.reference_number" name="reference_number" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"> Invoice company name</label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Invoice company name" maxlength="25"
                formControlName="invoice_company_name" [(ngModel)]="partnerModel.invoice_company_name"
                class="form-control" name="invoice_company_name">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice enabled </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Invoice enabled" [(ngModel)]="partnerModel.invoice_enabled"
                formControlName="invoice_enabled" name="invoice_enabled">
                <mat-option value="1" selected="selected">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice with appendix </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Invoice with appendix"
                [(ngModel)]="partnerModel.invoice_with_appendix" formControlName="invoice_with_appendix" name="invoice_with_appendix">
                <mat-option value="1" selected="selected">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice address </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Invoice address" maxlength="20" formControlName="invoice_address"
                [(ngModel)]="partnerModel.invoice_address" name="invoice_address" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice house number </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Invoice house number" maxlenght="20"
                formControlName="invoice_house_number" name="invoice_house_number" [(ngModel)]="partnerModel.invoice_house_number"
                class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice postal code </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Invoice postal code" maxlength="20" formControlName="invoice_postal_code"
                [(ngModel)]="partnerModel.invoice_postal_code" name="invoice_postal_code" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice city</label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Invoice city" maxlength="20" formControlName="invoice_city"
                [(ngModel)]="partnerModel.invoice_city" name="invoice_city" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Smartphone partner </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Smartphone partner"
                [(ngModel)]="partnerModel.smartphone_partner" name="smartphone_partner" formControlName="smartphone_partner">
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0" selected="selected">No</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Country </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder=" Country" [(ngModel)]="partnerModel.country"
                formControlName="country" name="country">
                <mat-option value="Uae">UAE</mat-option>
                <mat-option value="Usa">USA</mat-option>
                <mat-option value="India">India</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Contact person </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Contact person" maxlength="15" formControlName="contact_person"
                [(ngModel)]="partnerModel.contact_person" name="contact_person" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Email</label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Email" maxlength="25" name="mail_add_contact"
                pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" formControlName="mail_add_contact"
                [(ngModel)]="partnerModel.mail_add_contact" class="form-control">
              <div class="error-msg"
                *ngIf="editForm.controls['mail_add_contact'].invalid && (editForm.controls['mail_add_contact'].dirty || editForm.controls['mail_add_contact'].touched)">
                <div *ngIf="editForm.controls['mail_add_contact'].errors.pattern">
                  Email is not valid.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Select type </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Select type" [(ngModel)]="partnerModel.select_type"
                formControlName="select_type" name="select_type">
                <mat-option value="1" selected="selected">TRUE</mat-option>
                <mat-option value="0">FALSE</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Invoice generated for </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Invoice generated for"
                [(ngModel)]="partnerModel.invoice_generated_for" formControlName="invoice_generated_for" name="invoice_generated_for">
                <mat-option value="1" selected="selected">Partner</mat-option>
                <mat-option value="0">Department</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Web blocking period (min) </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Web blocking period" maxlength="2" formControlName="web_blocking_period" name="web_blocking_period"
                [(ngModel)]="partnerModel.web_blocking_period" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Web number of packages <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Web number of packages" maxlength="2" pattern="[0-9]+([.][0-9]+)?"
                formControlName="web_number_of_packages" [(ngModel)]="partnerModel.web_number_of_packages"
                class="form-control" name="web_number_of_packages" required>
              <div class="error-msg"
                *ngIf="editForm.controls['web_number_of_packages'].invalid && (editForm.controls['web_number_of_packages'].dirty || editForm.controls['web_number_of_packages'].touched)">
                <div *ngIf="editForm.controls['web_number_of_packages'].errors.required">
                  Web number of packages is required.
                </div>
                <div *ngIf="editForm.controls['web_number_of_packages'].errors.pattern">
                  Only numbers allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Web number of persons <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Web number of persons" maxlength="3" pattern="[0-9]+([.][0-9]+)?"
                formControlName="web_number_of_persons" [(ngModel)]="partnerModel.web_number_of_persons"
                class="form-control" name="web_number_of_persons" required>
              <div class="error-msg"
                *ngIf="editForm.controls['web_number_of_persons'].invalid && (editForm.controls['web_number_of_persons'].dirty || editForm.controls['web_number_of_persons'].touched)">
                <div *ngIf="editForm.controls['web_number_of_persons'].errors.required">
                  Web number of persons is required.
                </div>
                <div *ngIf="editForm.controls['web_number_of_persons'].errors.pattern">
                  Only numbers allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"> Commission % <i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" Commission" maxlength="25"
                formControlName="commission" [(ngModel)]="partnerModel.commission" pattern="^[-+]?\d*\.?\d*$"
                class="form-control" name="commission">
              <div class="error-msg"
                *ngIf="editForm.controls['commission'].invalid && (editForm.controls['commission'].dirty || editForm.controls['commission'].touched)">
                <div *ngIf="editForm.controls['commission'].errors.required">
                  Commission percentage is required.
                </div>
                <div *ngIf="editForm.controls['commission'].errors.pattern">
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Order type
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Order type" [(ngModel)]="partnerModel.available_for"
                formControlName="available_for" name="available_for">
                <mat-option value='2'>Both</mat-option>
                <mat-option value='0'>Book Now Only</mat-option>
                <mat-option value='1'>Scheduled Only</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Default export type
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Default export type"
                [(ngModel)]="editForm.controls['default_export_type']" name="default_export_type" formControlName="default_export_type">

                <mat-option value="(PDF)Invoice" selected="selected">(PDF) Invoice</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Ziping of invoice enabled
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Ziping of invoice enabled"
                [(ngModel)]="editForm.controls['ziping_of_invoice_enabled']" name="ziping_of_invoice_enabled" formControlName="ziping_of_invoice_enabled">

                <mat-option value="1" selected="selected">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Sending via email enabled
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Sending via email enabled" name="sending_via_email_enabled"
                [(ngModel)]="editForm.controls['sending_via_email_enabled']" formControlName="sending_via_email_enabled">

                <mat-option value="1" selected="selected">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Trip id
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Trip id" [(ngModel)]="editForm.controls['trip_id_mandatory']"
                formControlName="trip_id_mandatory" name="trip_id_mandatory">
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0" selected="selected">No</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">UID
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder=" UID" maxlength="20" formControlName="uid" [(ngModel)]="editForm.controls['uid']" name="uid"
                class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Kiosk
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" formControlName="kiosk_partner">
                <mat-option value="true" >Enabled</mat-option>
                <mat-option value="false" >Disabled</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="button" (click)="updatePartners($event)">Save changes</button>
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/administration/partners']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>